PACSTRAP(8)

NAME
pacstrap - install packages to the specified new root directory

SYNOPSIS

pacstrap [options] root [packages...]

DESCRIPTION

pacstrap is designed to create a new system installation from scratch. The specified packages will be installed into a given directory after setting up some basic mountpoints. By default, the host system’s pacman signing keys and mirrorlist will be used to seed the chroot.

If no packages are specified to be installed, the base metapackage will be installed.

OPTIONS

-C <config>
    Use an alternate config file for pacman.

-c
    Use the package cache on the host, rather than the target.

-D
    Skip pacman dependency checks.

-G
    Avoid copying the host’s pacman keyring to the target.

-i
    Prompt for package confirmation when needed (run interactively).

-K
    Initialize an empty pacman keyring in the target (implies -G).

-M
    Avoid copying the host’s mirrorlist to the target.

-N
    Run in unshare mode. This will use unshare(1) to create a new mount and user namespace, allowing regular users to create new system installations.

-P
    Copy the host’s pacman config to the target.

-U
    Use pacman -U to install packages. Useful for obtaining fine-grained control over the installed packages.

-h
    Output syntax and command line options.

SEE ALSO

pacman(8)